#ifndef COORD
#define COORD

#include <string>

#include "Platform.hpp"

class Coord {
public:
    Coord();
    Coord(UNumber, UNumber);
    static Coord from_fen(std::string);

    static bool is_valid(UNumber, UNumber);

    UNumber file;
    UNumber rank;

    std::string to_fen() const;

    bool operator==(const Coord&) const;
    bool operator!=(const Coord&) const;
    bool operator<(const Coord&) const;
};

#endif
