#ifndef EVALUATION
#define EVALUATION

#include <limits>

#include "Board.hpp"

using Score = SNumber;

namespace Evaluation {
    Score material(const Board&);
    Score material_sum(const Board&);
    Score positional(const Board&);
    Score total(const Board&);

    Score piece(const Piece&);

    Score mate();
    bool is_mate(const Score&);
    UNumber get_mate_half_moves(const Score&);

    const Score max_score = mate();
}

#endif
