#ifndef GENERATOR
#define GENERATOR

#include <list>          

#include "Move.hpp"
#include "Evaluation.hpp"

using Moves = std::list<std::pair<Score, Move>>;

namespace Generator {
    Moves for_piece(Board&, const Coord&);
    Moves for_board(Board&);
}

#endif
